> ## Documentation Index
> Fetch the complete documentation index at: https://docs.peec.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Custom URL Classification

> Define a new custom URL classification for a project. Once created, it can be assigned to URLs via the assignment endpoint.



## OpenAPI

````yaml https://api.peec.ai/customer/v1/openapi/json post /classifications/urls
openapi: 3.0.3
info:
  title: Peec AI Customer API
  description: Development documentation
  version: 1.0.0
  contact:
    name: Peec AI Team
    email: support@peec.ai
servers:
  - url: https://api.peec.ai/customer/v1
security: []
paths:
  /classifications/urls:
    post:
      tags:
        - Project
      summary: Create Custom URL Classification
      description: >-
        Define a new custom URL classification for a project. Once created, it
        can be assigned to URLs via the assignment endpoint.
      operationId: postClassificationsUrls
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                project_id:
                  description: Required if using a company api key
                  example: or_f45b94ba-5e35-4982-93ed-285e72ee14eb
                  type: string
                name:
                  type: string
                  minLength: 1
                  maxLength: 60
                color:
                  default: orange
                  example: orange
                  type: string
                  enum:
                    - orange
                    - red
                    - amber
                    - yellow
                    - lime
                    - green
                    - emerald
                    - teal
                    - cyan
                    - sky
                    - blue
                    - indigo
                    - violet
                    - purple
                    - fuchsia
                    - pink
                    - rose
                    - gray
              required:
                - name
          application/x-www-form-urlencoded:
            schema:
              type: object
              properties:
                project_id:
                  description: Required if using a company api key
                  example: or_f45b94ba-5e35-4982-93ed-285e72ee14eb
                  type: string
                name:
                  type: string
                  minLength: 1
                  maxLength: 60
                color:
                  default: orange
                  example: orange
                  type: string
                  enum:
                    - orange
                    - red
                    - amber
                    - yellow
                    - lime
                    - green
                    - emerald
                    - teal
                    - cyan
                    - sky
                    - blue
                    - indigo
                    - violet
                    - purple
                    - fuchsia
                    - pink
                    - rose
                    - gray
              required:
                - name
          multipart/form-data:
            schema:
              type: object
              properties:
                project_id:
                  description: Required if using a company api key
                  example: or_f45b94ba-5e35-4982-93ed-285e72ee14eb
                  type: string
                name:
                  type: string
                  minLength: 1
                  maxLength: 60
                color:
                  default: orange
                  example: orange
                  type: string
                  enum:
                    - orange
                    - red
                    - amber
                    - yellow
                    - lime
                    - green
                    - emerald
                    - teal
                    - cyan
                    - sky
                    - blue
                    - indigo
                    - violet
                    - purple
                    - fuchsia
                    - pink
                    - rose
                    - gray
              required:
                - name
      responses:
        '201':
          description: Custom URL classification created
          content:
            application/json:
              schema:
                type: object
                properties:
                  name:
                    type: string
                  color:
                    type: string
                required:
                  - name
                  - color
                description: Custom URL classification created
        '409':
          description: Response for status 409
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
      security:
        - APIKeyHeader: []
        - APIKeyQuery: []
        - BearerAuth: []
components:
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
    APIKeyQuery:
      type: apiKey
      in: query
      name: api_key
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````